/*
 * path.h
 *
 * directions, paths, etc.
 *
 * $Revision: 1.1 $ $Date: 93/06/29 08:58:19 $
 */

	/* direction indices */
#define	DIR_STOP	0
#define	DIR_UR		1
#define	DIR_R		2
#define	DIR_DR		3
#define	DIR_DL		4
#define	DIR_L		5
#define	DIR_UL		6
#define	DIR_VIEW	7
#define	DIR_MAP		8
#define	DIR_FIRST	1
#define	DIR_LAST	6

#define	SELL_NOT_DELIV	7                   /* in "_use" field => contract */

extern	int	diroff[][2];
extern	char	dirch[];

extern	char	*getpath();
extern	char	*masktopath();
extern	long	pathtomask();
extern	double	pathtoxy();

extern	double	mcost();
extern	double	ncost();
extern	double	fcost();
